@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';

/* /Pages/ImageGallery.razor.rz.scp.css */
.thumbnail-container[b-apovevsqrm] {
    display: flex;
    flex-wrap: wrap;
}

.thumbnail[b-apovevsqrm] {
    margin: 10px;
    text-align:center;
}

    .thumbnail img[b-apovevsqrm] {
        width: 100px;
        height: 100px;
        border: 1px solid #ddd;
    }
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-ksnqpiufg9] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-ksnqpiufg9] {
    flex: 1;
}

.sidebar[b-ksnqpiufg9] {
    background-color: rgb(200, 200, 200);
    height: calc(100vh - 3.5rem);
    overflow-y: auto;
}
.article[b-ksnqpiufg9] {
    height: calc(97vh - 3.5rem);
    overflow-x:hidden;
}
.top-row[b-ksnqpiufg9] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-ksnqpiufg9]  a, .top-row .btn-link[b-ksnqpiufg9] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-ksnqpiufg9] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-ksnqpiufg9] {
        display: none;
    }

    .top-row.auth[b-ksnqpiufg9] {
        justify-content: space-between;
    }

    .top-row a[b-ksnqpiufg9], .top-row .btn-link[b-ksnqpiufg9] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-ksnqpiufg9] {
        flex-direction: row;
    }

    .sidebar[b-ksnqpiufg9] {
        width: auto;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-ksnqpiufg9] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row[b-ksnqpiufg9], article[b-ksnqpiufg9] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/NavMenu.razor.rz.scp.css */

.navbar-toggler[b-a8wnyphfci] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-a8wnyphfci] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-a8wnyphfci] {
    font-size: 1.1rem;
}

.oi[b-a8wnyphfci] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-a8wnyphfci] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-a8wnyphfci] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-a8wnyphfci] {
        padding-bottom: 1rem;
    }

    .nav-item[b-a8wnyphfci]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-a8wnyphfci]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-a8wnyphfci]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-a8wnyphfci] {
        display: none;
    }

    .collapse[b-a8wnyphfci] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-a8wnyphfci] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Shared/TopMenu.razor.rz.scp.css */
.nav-link[b-om90m484hs] {
    display: block;
    padding: .5rem 1rem;
    color: #0d6efd;
    text-decoration: none;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out
}
.nav-link:hover[b-om90m484hs] {
    color: #ffd800 !important
}

    .nav-link.active[b-om90m484hs] {
        color: #ffffff !important;
        background-color: #fff !important;
        border-color: #dee2e6 #dee2e6 #fff
    }

@media (prefers-reduced-motion:reduce) {
    .nav-link[b-om90m484hs] {
        transition: none
    }
}
.nav-link:hover[b-om90m484hs] {
    color: #ffd800 !important
}
.nav-link:focus[b-om90m484hs] {
    color: #ffffff !important
}

.nav-link.disabled[b-om90m484hs] {
    color: #6c757d;
    pointer-events: none;
    cursor: default
}

.nav-tabs[b-om90m484hs] {
    border-bottom: 1px solid #dee2e6
}

    .nav-tabs .nav-link[b-om90m484hs] {
        margin-bottom: -1px;
        background: 0 0;
        border: 1px solid transparent;
        border-top-left-radius: .25rem;
        border-top-right-radius: .25rem
    }

        .nav-tabs .nav-link:focus[b-om90m484hs], .nav-tabs .nav-link:hover[b-om90m484hs] {
            border-color: #e9ecef #e9ecef #dee2e6;
            isolation: isolate;
            color: #ffffff
        }

        .nav-tabs .nav-link.disabled[b-om90m484hs] {
            color: #6c757d;
            background-color: transparent;
            border-color: transparent
        }

        .nav-tabs .nav-item.show .nav-link[b-om90m484hs], .nav-tabs .nav-link.active[b-om90m484hs] {
            color: #ffffff;
            background-color: #fff;
            border-color: #dee2e6 #dee2e6 #fff
        }

    .nav-tabs .dropdown-menu[b-om90m484hs] {
        margin-top: -1px;
        border-top-left-radius: 0;
        border-top-right-radius: 0
    }
